SoulFire LogoSoulFire

Add instance account

Adds a Minecraft account to the instance. The account's profile_id must be unique within the instance.

POST
/v1/instances/{id}/accounts

Adds a Minecraft account to the instance. The account's profile_id must be unique within the instance.

Authorization

AuthorizationBearer <token>

Preferred API authentication. Use a JWT with the api audience.

In: header

Path Parameters

id*string

The unique identifier (UUID) of the instance.

Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Request to add a single Minecraft account to an instance.

account*

The Minecraft account to add. The profile_id must be unique within the instance.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/instances/497f6eca-6276-4993-bfeb-53cbbbba6f08/accounts" \  -H "Content-Type: application/json" \  -d '{    "account": {      "type": "MICROSOFT_JAVA_CREDENTIALS",      "profileId": "faebe71b-2bf8-4bdb-9b67-258e4d6aa00a",      "lastKnownName": "string"    }  }'
{}

How is this page?